NPT Time Now
NPT is the abbreviation of Nepal Time. Time zone offset of NPT is UTC+05:45. Nepal Time is 5 hours 45 minutes ahead from the UTC universal time. NPT current date is 8th Thursday October 2026. Current time in NPT (NPT).
NPT Time
01:00:43
8 October 2026 Thursday
NPT is the short form of Nepal Time, a special time standard observed in the country of Nepal. Nepal Time is 5 hours 45 minutes ahead of the UTC universal time, and it is one of just three zones using a 45-minute difference from the basic offset. There is also another special time standard used in Nepal, known as Kathmandu time, which is a few minutes ahead of NPT.
What time is it in Nepal Time now? It is 01:00:43 right now.
Nepal Time Date and Time Now in Various Formats
| Date Time Format | NPT Date Time Now |
|---|---|
| UTC | 2026-10-08T01:00:43Z |
| ISO-8601 | 2026-10-08T01:00:43+0000 |
| RFC 2822 | Thu, 08 Oct 2026 01:00:43 +0000 |
| RFC 850 | Thursday, 08-Oct-26 01:00:43 UTC |
| RFC 1036 | Thu, 08 Oct 26 01:00:43 +0000 |
| RFC 1123 | Thu, 08 Oct 2026 01:00:43 +0000 |
| RFC 822 | Thu, 08 Oct 26 01:00:43 +0000 |
| RFC 3339 | 2026-10-08T01:00:43+00:00 |
| ATOM | 2026-10-08T01:00:43+00:00 |
| COOKIE | Thursday, 08-Oct-2026 01:00:43 UTC |
| RSS | Thu, 08 Oct 2026 01:00:43 +0000 |
| W3C | 2026-10-08T01:00:43+00:00 |
| Unix Epoch | 1791421243 |
| YYYY-DD-MM HH:MM:SS | 2026-08-10 01:00:43 |
| YYYY-DD-MM HH:MM:SS am/pm | 2026-08-10 01:00:43 AM |
| DD-MM-YYYY HH:MM:SS | 08-10-2026 01:00:43 |
| MM-DD-YYYY HH:MM:SS | 10-08-2026 01:00:43 |